﻿using System;
using UnityEngine;

[Serializable]
public class WMessage_EmptyClip : Message
{
    public Vector3 position
    {
        get
        {
            return new Vector3(posX, posY, posZ);
        }
        private set
        {
            posX = value.x;
            posY = value.y;
            posZ = value.z;
        }
    }
    private float posX;
    private float posY;
    private float posZ;


    public WMessage_EmptyClip(Messages type, Vector3 _position) : base(type)
    {
        position = _position;
    }
}
