﻿using UnityEngine;

public class ThrowableSmoke : MonoBehaviour
{
    bool isInAir = true;
    Rigidbody rb;
    void Start()
    {
        rb = gameObject.GetComponent<Rigidbody>();
    }

    public void Update()
    {
        if (isInAir && rb.velocity.magnitude < 1)
        {
            isInAir = false;
            if (Vector3.Distance(transform.position, BlockCreator.ClosestFoundationToPosition(transform.position).transform.position) < 3.5f)
            {
                transform.SetParentSafe(ComponentManager<Raft>.Value.transform);
            }
        }
    }
}